Subject: Re: bug#79298: patch: full color in windows terminal

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Aug 2025 16:31:19 +0300

> Date: Mon, 25 Aug 2025 12:06:22 +0000
> From: Ewan <[email-masked]>
> Cc: [email-masked]
> 
> > Hmm... the fact that some of the code is "inherited from someone else"
> > worries me. If the code you took from someone else's work is
> > substantial (more than, say, 15 lines), we will need that other person
> > to assign the copyright to the FSF, in addition to your assignment.
> > Can you tell who is that other person and how much of the code he/she
> > wrote?
> 
> The initial patch drew heavily (>15 lines) from this public fork of emacs:
> https://github.com/tsuu32/emacs-w32con-vt
> 
> >From breadcrumbs in the working tree and other GNU mailing list discussions,
> I gather the owner of that repo has this address: tsuucat <at> icloud.com,
> and has contributed patches in the past, but I don't know them.
> 
> The revised patch differs substantially, but I suspect it will keep some
> small chunks of color-computing code, as the forumulas are what they are.

Can you identify those formulas in the patch you submitted?